## grendel.composition
Class CompositionTest.AppCloser

    java.lang.Object
      |
      +--java.awt.event.WindowAdapter
            |
            +--grendel.composition.CompositionTest.AppCloser

protected static final class CompositionTest.AppCloser
extends java.awt.event.WindowAdapter

Closes the appliction.

Constructor Summary
`protected` | `CompositionTest.AppCloser()`

Method Summary
`void` | `windowClosing(java.awt.event.WindowEvent e)`

Methods inherited from class java.awt.event.WindowAdapter
`windowActivated, windowClosed, windowDeactivated, windowDeiconified, windowIconified, windowOpened`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompositionTest.AppCloser

    protected CompositionTest.AppCloser()

Method Detail

### windowClosing

    public void windowClosing(java.awt.event.WindowEvent e)

  Overrides:
    windowClosing in class java.awt.event.WindowAdapter